﻿using Microsoft.Data.Sqlite;


namespace SQLiteDemo
{
    public static class Globals
    {
        public const string DatabaseConnectionString = @"DataSource=./SQLiteDemo.db";
    }


    internal class SQLiteDemo
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Hello, World!");

            using (var _dbContext = new CountryCapitalsContext())
            {
                // Delete the SQLite database file if it exists.
                _dbContext.Database.EnsureDeleted();
                // Create the SQLite database file if it does not exist.
                _dbContext.Database.EnsureCreated();
                
                // Populate the database table with data.
                _dbContext.Populate();
                Console.WriteLine($"Count: {_dbContext.CountryCapitals.Count()}");

                //_dbContext.CountryCapitals.Add(new CountryCapital { CountryName = "Jay", CapitalName = "Milo" });
                //_dbContext.SaveChanges();

                foreach (var country in _dbContext.CountryCapitals)
                    Console.WriteLine($"{country.Id} {country.CountryName} : {country.CapitalName}");
            }

            Console.WriteLine("Goodbye!");
        }
    }
}
